Package org.apache.storm.generated

## Class CommonAggregateStats

- java.lang.Object
- - org.apache.storm.generated.CommonAggregateStats

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<CommonAggregateStats>`, `org.apache.storm.thrift.TBase<CommonAggregateStats,​CommonAggregateStats._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class CommonAggregateStats
      extends Object
      implements org.apache.storm.thrift.TBase<CommonAggregateStats,​CommonAggregateStats._Fields>, Serializable, Cloneable, Comparable<CommonAggregateStats>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CommonAggregateStats._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<CommonAggregateStats._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommonAggregateStats()` |
    `CommonAggregateStats​(CommonAggregateStats other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `int` | `compareTo​(CommonAggregateStats other)` |
    `CommonAggregateStats` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(CommonAggregateStats that)` |
    `CommonAggregateStats._Fields` | `fieldForId​(int fieldId)` |
    `long` | `get_acked()` |
    `long` | `get_emitted()` |
    `long` | `get_failed()` |
    `int` | `get_num_executors()` |
    `int` | `get_num_tasks()` |
    `Map<String,​Double>` | `get_resources_map()` |
    `int` | `get_resources_map_size()` |
    `long` | `get_transferred()` |
    `Object` | `getFieldValue​(CommonAggregateStats._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_acked()` | Returns true if field acked is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_emitted()` | Returns true if field emitted is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_failed()` | Returns true if field failed is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_num_executors()` | Returns true if field num_executors is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_num_tasks()` | Returns true if field num_tasks is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_resources_map()` | Returns true if field resources_map is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_transferred()` | Returns true if field transferred is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(CommonAggregateStats._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `put_to_resources_map​(String key, double val)` |
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_acked​(long acked)` |
    `void` | `set_acked_isSet​(boolean value)` |
    `void` | `set_emitted​(long emitted)` |
    `void` | `set_emitted_isSet​(boolean value)` |
    `void` | `set_failed​(long failed)` |
    `void` | `set_failed_isSet​(boolean value)` |
    `void` | `set_num_executors​(int num_executors)` |
    `void` | `set_num_executors_isSet​(boolean value)` |
    `void` | `set_num_tasks​(int num_tasks)` |
    `void` | `set_num_tasks_isSet​(boolean value)` |
    `void` | `set_resources_map​(Map<String,​Double> resources_map)` |
    `void` | `set_resources_map_isSet​(boolean value)` |
    `void` | `set_transferred​(long transferred)` |
    `void` | `set_transferred_isSet​(boolean value)` |
    `void` | `setFieldValue​(CommonAggregateStats._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_acked()` |
    `void` | `unset_emitted()` |
    `void` | `unset_failed()` |
    `void` | `unset_num_executors()` |
    `void` | `unset_num_tasks()` |
    `void` | `unset_resources_map()` |
    `void` | `unset_transferred()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<CommonAggregateStats._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### CommonAggregateStats

          public CommonAggregateStats()

    - #### CommonAggregateStats

          public CommonAggregateStats​(CommonAggregateStats other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public CommonAggregateStats deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<CommonAggregateStats,​CommonAggregateStats._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<CommonAggregateStats,​CommonAggregateStats._Fields>`

    - #### get_num_executors

          public int get_num_executors()

    - #### set_num_executors

          public void set_num_executors​(int num_executors)

    - #### unset_num_executors

          public void unset_num_executors()

    - #### is_set_num_executors

          public boolean is_set_num_executors()

      Returns true if field num_executors is set (has been assigned a value) and false otherwise

    - #### set_num_executors_isSet

          public void set_num_executors_isSet​(boolean value)

    - #### get_num_tasks

          public int get_num_tasks()

    - #### set_num_tasks

          public void set_num_tasks​(int num_tasks)

    - #### unset_num_tasks

          public void unset_num_tasks()

    - #### is_set_num_tasks

          public boolean is_set_num_tasks()

      Returns true if field num_tasks is set (has been assigned a value) and false otherwise

    - #### set_num_tasks_isSet

          public void set_num_tasks_isSet​(boolean value)

    - #### get_emitted

          public long get_emitted()

    - #### set_emitted

          public void set_emitted​(long emitted)

    - #### unset_emitted

          public void unset_emitted()

    - #### is_set_emitted

          public boolean is_set_emitted()

      Returns true if field emitted is set (has been assigned a value) and false otherwise

    - #### set_emitted_isSet

          public void set_emitted_isSet​(boolean value)

    - #### get_transferred

          public long get_transferred()

    - #### set_transferred

          public void set_transferred​(long transferred)

    - #### unset_transferred

          public void unset_transferred()

    - #### is_set_transferred

          public boolean is_set_transferred()

      Returns true if field transferred is set (has been assigned a value) and false otherwise

    - #### set_transferred_isSet

          public void set_transferred_isSet​(boolean value)

    - #### get_acked

          public long get_acked()

    - #### set_acked

          public void set_acked​(long acked)

    - #### unset_acked

          public void unset_acked()

    - #### is_set_acked

          public boolean is_set_acked()

      Returns true if field acked is set (has been assigned a value) and false otherwise

    - #### set_acked_isSet

          public void set_acked_isSet​(boolean value)

    - #### get_failed

          public long get_failed()

    - #### set_failed

          public void set_failed​(long failed)

    - #### unset_failed

          public void unset_failed()

    - #### is_set_failed

          public boolean is_set_failed()

      Returns true if field failed is set (has been assigned a value) and false otherwise

    - #### set_failed_isSet

          public void set_failed_isSet​(boolean value)

    - #### get_resources_map_size

          public int get_resources_map_size()

    - #### put_to_resources_map

          public void put_to_resources_map​(String key,
                                           double val)

    - #### get_resources_map

          public Map<String,​Double> get_resources_map()

    - #### set_resources_map

          public void set_resources_map​(Map<String,​Double> resources_map)

    - #### unset_resources_map

          public void unset_resources_map()

    - #### is_set_resources_map

          public boolean is_set_resources_map()

      Returns true if field resources_map is set (has been assigned a value) and false otherwise

    - #### set_resources_map_isSet

          public void set_resources_map_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(CommonAggregateStats._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<CommonAggregateStats,​CommonAggregateStats._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(CommonAggregateStats._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<CommonAggregateStats,​CommonAggregateStats._Fields>`

    - #### isSet

          public boolean isSet​(CommonAggregateStats._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<CommonAggregateStats,​CommonAggregateStats._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(CommonAggregateStats that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(CommonAggregateStats other)

      Specified by:
        `compareTo` in interface `Comparable<CommonAggregateStats>`

    - #### fieldForId

          public CommonAggregateStats._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<CommonAggregateStats,​CommonAggregateStats._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`